Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.entity.mime.content
Class AbstractContentBody

    java.lang.Object
      org.apache.http.entity.mime.content.AbstractContentBody

All Implemented Interfaces:
  ContentBody, ContentDescriptor

Direct Known Subclasses:
  ByteArrayBody, FileBody, InputStreamBody, StringBody

    public abstract class AbstractContentBody

extends Object
implements ContentBody

Since:
  4.0

Constructor Summary
`AbstractContentBody(String mimeType)`

Method Summary
`String` | `getMediaType()` Gets the defaulted MIME media type for this content.
`String` | `getMimeType()` Returns the body descriptors MIME type.
`String` | `getSubType()` Gets the defaulted MIME sub type for this content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.entity.mime.content.ContentBody
`getFilename, writeTo`

Methods inherited from interface org.apache.http.entity.mime.content.ContentDescriptor
`getCharset, getContentLength, getTransferEncoding`

Constructor Detail

### AbstractContentBody

    public AbstractContentBody(String mimeType)

Method Detail

### getMimeType

    public String getMimeType()

  Description copied from interface: `ContentDescriptor`
  Returns the body descriptors MIME type.

  Specified by:
    `getMimeType` in interface `ContentDescriptor`
  Returns:
    The MIME type, which has been parsed from the content-type definition. Must not be null, but "text/plain", if no content-type was specified.
  See Also:
    `ContentDescriptor.getMediaType()`, `ContentDescriptor.getSubType()`

### getMediaType

    public String getMediaType()

  Description copied from interface: `ContentDescriptor`
  Gets the defaulted MIME media type for this content. For example `TEXT`, `IMAGE`, `MULTIPART`

  Specified by:
    `getMediaType` in interface `ContentDescriptor`
  Returns:
    the MIME media type when content-type specified, otherwise the correct default (`TEXT`)
  See Also:
    `ContentDescriptor.getMimeType()`

### getSubType

    public String getSubType()

  Description copied from interface: `ContentDescriptor`
  Gets the defaulted MIME sub type for this content.

  Specified by:
    `getSubType` in interface `ContentDescriptor`
  Returns:
    the MIME media type when content-type is specified, otherwise the correct default (`PLAIN`)
  See Also:
    `ContentDescriptor.getMimeType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.